Subject: ANNOUNCE: Advance announcement for 2.2.8 and some changes.

From: "Jordan K. Hubbard" <[email-masked]>
Date: Tue, 28 Jul 1998 05:13:15 -0700

Just so nobody can claim that I'm going to sneak another -stable
release out the door, let me just announce it NOW with plenty of
advance notice! :-)

The official release date for FreeBSD 2.2.8 is November 15th, 1998.
This will be the LAST release along the 2.2 branch, at which point it
will be well and truly dead except for a very small amount of security
and other types of similar "nasty bug" fixing for the benefit of those
who continue to sync themselves to the 2.2-stable branch.  Since 3.0
is scheduled for release on October 15th, I figure that by the time
people are looking to upgrade again sometime in Q1 of 1999, we'll have
enough of the rough edges filed off for people to make a full and
reasonable committment to 3.0.x.

Again, November 15th is the date and I'm not going to change it, so
just mark it now on your calendars and don't claim that I didn't warn
you when the time comes around - I expect everyone to remember this
date and, if they don't, it's their own darn fault.  I may or may not
make another announcement closer to that date, so simply take it as
read that November 15th is the date in question and if you forget and
start gritching come November, I'm merely going to forward this
message to you again and say "I scheduled this almost 4 months ago and
announced it widely, so it's not *my* fault if you have Alzheimers!" :-)

Now that we've got that out of the way, I'd also like to make some
changes to the way 2.2.x has been maintained.  Rather than do a merge
from hell right before the 2.2.8 release, like I did for 2.2.6 and
2.2.7, I'm just going to expect the committers to back-port any work
they do in -current which fits the classic definition of something
which should go into -stable (obvious bug fix, low impact, no
significant new functionality unless it fixes something which is
seriously broken [like MSDOSfs], etc.).  If you don't take care to
merge it, don't be surprised if it doesn't make it into 2.2.8 since I
refuse to take that all on my own shoulders again.  The quality of
this last release of 2.2 will rest squarely with the committers and
the various users who can help by spotting things in 3.0 which really
should be back-ported and reporting that to [email-masked].

Once more, 2.2.8 is going to be the VERY LAST release on the
2.2-stable branch and if you want to make it a worthy cap for what has
been a highly successful line, there's no time like the present for
thinking about what you need to merge.  The sooner you do the work,
the more time the CVSup/CTMers of 2.2-stable will also have for
testing it and seeing if there are any unforseen side-effects.  I
propose to freeze the branch on November 7th, so please don't leave it
to the last minute like everyone always does - once this release is
out the door, there won't be a second chance for the 2.2 branch!

This has been a public service announcement. :)

Thanks!

- Jordan

To Unsubscribe: send mail to [email-masked]
with "unsubscribe freebsd-current" in the body of the message